
QGIS Application - Bug report #4965

Toggle editing button doesn't check layer's format capabilities

2012-02-07 08:11 PM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14757

Description

Button which located in toolbar doesn't check layer's format capabilities and enabled always, but the same button in attribute table works

fine and becomes disabled for layers without write capabilities (MapInfo format for example).

Associated revisions

Revision a080538a - 2012-02-08 07:55 PM - Alexander Bruy

enable Toggle editing button depending on layer type (fix #4965)

Revision 6e1e55e4 - 2012-02-19 08:48 AM - Alexander Bruy

enable Toggle editing button depending on layer type (fix #4965)

History

#1 - 2012-02-08 11:03 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"a080538aec97b6685a8cbadcf2446bbde6daa30d".
